# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..transit import MultimodalPathDialog
from .show_dialog import show_diag


def multimodal_path(proj):
    if not proj.open_mode:
        proj.message_no_project()
        return

    message = "Loading the scenario onto the router takes time. Please wait"
    msg = proj.iface.messageBar()
    msg.pushMessage("Warning", message, level=1, duration=50)

    dlg2 = MultimodalPathDialog(proj)
    msg.close()
    show_diag(dlg2)
